import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const totalReportDailyBroadCastService = createAsyncThunk(
  "TOTAL_REPORT_DAILY_BROADCAST_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `kill_house_ware_house_total_report_daily_broad_cast`,
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
